package cn.timer.api.bean.admin;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-11-12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "admin_menu_template")
@ApiModel("企业菜单配置")
public class AdminMenuTemplate extends Model<AdminMenuTemplate> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "父菜单ID， 0 表示第一级菜单", example = "101")
	private Integer parentid;

	@ApiModelProperty(value = "菜单code ", example = "菜单code")
	private String menuCode;

	@ApiModelProperty(value = "菜单名称 ", example = "菜单名称")
	private String menuName;

	@ApiModelProperty(value = "菜单排序号 菜单排序号", example = "101")
	private Integer sortNumber;

	@ApiModelProperty(value = "路由地址 ", example = "路由地址")
	private String path;

	@ApiModelProperty(value = "0：未启用；1：已启用 0：未启用；1：已启用", example = "101")
	private Integer enable;

	@ApiModelProperty(value = "0：不可分配；1：可分配 0：不可分配；1：可分配", example = "101")
	private Integer distribution;


}