package cn.timer.api.bean.admin;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author LAL 2020-11-09
*/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="admin_msg_template")
@ApiModel("消息模板")
public class AdminMsgTemplate extends Model<AdminMsgTemplate> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="模板名称 ",example="模板名称")
    private String templateName;
    
	@ApiModelProperty(value="对应平台模板编号 ",example="对应平台模板编号")
    private String platformNum;
    
	@ApiModelProperty(value="平台类型  1 阿里云",example="101")
    private Integer platformType;
    
	@ApiModelProperty(value="模板内容 ",example="模板内容")
    private String content;
    
	@ApiModelProperty(value="类型 1 合同到期提醒， 2 证照到期提醒",example="101")
    private Integer msgType;
    
	@ApiModelProperty(value="状态 0 启用 1 停用",example="101")
    private Integer state;
    
	@ApiModelProperty(value="生产时间 生产时间",example="101")
    private Long addtime;
	
	@ApiModelProperty(value="0 系统默认(公共模板),  1 企业定制",example="0")
	private Integer sysDefault;

	@TableField(updateStrategy= FieldStrategy.IGNORED)
	@ApiModelProperty(value="企业ID 企业ID",example="101")
    private Integer orgCode;
    

}