package cn.timer.api.bean.adminaccount;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Table;
import java.util.Date;



/**
 * 管理员列表
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-14 18:24:20
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "admin_account")
@ApiModel("APP更新记录")
public class AdminAccount extends Model<AdminAccount> {
	private static final long serialVersionUID = 1L;

	/**
	*
	*/
	private Integer id;
	/**
	* 姓名
	*/
	private String realname;
	/**
	* 电话
	*/
	private String tel;
	/**
	* 级别 1超级管理员 2普通管理员
	*/
	private Integer types;
	/**
	* 创建者id,0表示系统创建
	*/
	private Integer createrid;
	/**
	* 创建日期
	*/
	private Date createtime;
	/**
	* 所属部门
	*/
	private String department;
	/**
	* 分组
	*/
	private Integer groupid;
	/**
	* 状态 1 正常 0 禁用
	*/
	private Integer statu;
	/**
	* 标注
	*/
	private String mark;
	/**
	* 帐号，首次注册手机号码
	*/
	private String account;
	/**
	* 登录密码
	*/
	private String pwd;
	/**
	* 头像名称，访问地址需要拼接
	*/
	private String avatar;
	/**
	* 1 内部(优领) 2外部(分销商）
	*/
	private Integer category;
	/**
	* 登录密码错误次数，大于5次将禁用
	*/
	private Integer lfc;
	/**
	* 禁用时间
	*/
	private Date prohibittime;
	/**
	* 登录ip
	*/
	private String ip;
	/**
	* 登录时间
	*/
	private Date logintime;
	/**
	* 更新时间
	*/
	private Date updatetime;

	/**
	 * 设置：
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：姓名
	 */
	public void setRealname(String realname) {
		this.realname = realname;
	}
	/**
	 * 获取：姓名
	 */
	public String getRealname() {
		return realname;
	}
	/**
	 * 设置：电话
	 */
	public void setTel(String tel) {
		this.tel = tel;
	}
	/**
	 * 获取：电话
	 */
	public String getTel() {
		return tel;
	}
	/**
	 * 设置：级别 1超级管理员 2普通管理员
	 */
	public void setTypes(Integer types) {
		this.types = types;
	}
	/**
	 * 获取：级别 1超级管理员 2普通管理员
	 */
	public Integer getTypes() {
		return types;
	}
	/**
	 * 设置：创建者id,0表示系统创建
	 */
	public void setCreaterid(Integer createrid) {
		this.createrid = createrid;
	}
	/**
	 * 获取：创建者id,0表示系统创建
	 */
	public Integer getCreaterid() {
		return createrid;
	}
	/**
	 * 设置：创建日期
	 */
	public void setCreatetime(Date createtime) {
		this.createtime = createtime;
	}
	/**
	 * 获取：创建日期
	 */
	public Date getCreatetime() {
		return createtime;
	}
	/**
	 * 设置：所属部门
	 */
	public void setDepartment(String department) {
		this.department = department;
	}
	/**
	 * 获取：所属部门
	 */
	public String getDepartment() {
		return department;
	}
	/**
	 * 设置：分组
	 */
	public void setGroupid(Integer groupid) {
		this.groupid = groupid;
	}
	/**
	 * 获取：分组
	 */
	public Integer getGroupid() {
		return groupid;
	}
	/**
	 * 设置：状态 1 正常 0 禁用
	 */
	public void setStatu(Integer statu) {
		this.statu = statu;
	}
	/**
	 * 获取：状态 1 正常 0 禁用
	 */
	public Integer getStatu() {
		return statu;
	}
	/**
	 * 设置：标注
	 */
	public void setMark(String mark) {
		this.mark = mark;
	}
	/**
	 * 获取：标注
	 */
	public String getMark() {
		return mark;
	}
	/**
	 * 设置：帐号，首次注册手机号码
	 */
	public void setAccount(String account) {
		this.account = account;
	}
	/**
	 * 获取：帐号，首次注册手机号码
	 */
	public String getAccount() {
		return account;
	}
	/**
	 * 设置：登录密码
	 */
	public void setPwd(String pwd) {
		this.pwd = pwd;
	}
	/**
	 * 获取：登录密码
	 */
	public String getPwd() {
		return pwd;
	}
	/**
	 * 设置：头像名称，访问地址需要拼接
	 */
	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}
	/**
	 * 获取：头像名称，访问地址需要拼接
	 */
	public String getAvatar() {
		return avatar;
	}
	/**
	 * 设置：1 内部(优领) 2外部(分销商）
	 */
	public void setCategory(Integer category) {
		this.category = category;
	}
	/**
	 * 获取：1 内部(优领) 2外部(分销商）
	 */
	public Integer getCategory() {
		return category;
	}
	/**
	 * 设置：登录密码错误次数，大于5次将禁用
	 */
	public void setLfc(Integer lfc) {
		this.lfc = lfc;
	}
	/**
	 * 获取：登录密码错误次数，大于5次将禁用
	 */
	public Integer getLfc() {
		return lfc;
	}
	/**
	 * 设置：禁用时间
	 */
	public void setProhibittime(Date prohibittime) {
		this.prohibittime = prohibittime;
	}
	/**
	 * 获取：禁用时间
	 */
	public Date getProhibittime() {
		return prohibittime;
	}
	/**
	 * 设置：登录ip
	 */
	public void setIp(String ip) {
		this.ip = ip;
	}
	/**
	 * 获取：登录ip
	 */
	public String getIp() {
		return ip;
	}
	/**
	 * 设置：登录时间
	 */
	public void setLogintime(Date logintime) {
		this.logintime = logintime;
	}
	/**
	 * 获取：登录时间
	 */
	public Date getLogintime() {
		return logintime;
	}
	/**
	 * 设置：更新时间
	 */
	public void setUpdatetime(Date updatetime) {
		this.updatetime = updatetime;
	}
	/**
	 * 获取：更新时间
	 */
	public Date getUpdatetime() {
		return updatetime;
	}
}
