package cn.timer.api.bean.app;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-08-12
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "check_app_version")
@ApiModel("APP更新记录")
public class CheckAppVersion extends Model<CheckAppVersion> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "平台类型 ", example = "平台类型")
	private String system;

	@ApiModelProperty(value = "最新版本 ", example = "最新版本")
	private String version;

	@ApiModelProperty(value = "最低限制 ", example = "最低限制")
	private String limitVersion;

	@ApiModelProperty(value = "下载地址 ", example = "下载地址")
	private String url;

	@ApiModelProperty(value = "下载地址 ", example = "下载地址")
	private String downloadUrl;

	@ApiModelProperty(value = "更新内容 ", example = "更新内容")
	private String remark;

	@ApiModelProperty(value = " ", example = "101")
	private Integer must;

	@ApiModelProperty(value = "最后修改时间 ", example = "最后修改时间")
	private String updateTime;

}