package cn.timer.api.bean.clazz;

import java.util.List;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2020-05-09
*/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("地区")
public class CommonArea extends Model<CommonArea> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号",example="1")
    private Integer codeId;
    
	@ApiModelProperty(value="父编号",example="10")
    private Integer parentId;
    
	@ApiModelProperty(value="城市名称",example="1")
    private String cityName;
	
	@ApiModelProperty(value="下级",example="1")
	private List<CommonArea> commonAreas;
	
}