/**  
* Title: CrmSeaRule.java 
* Description: 
* @author dsc  
* @date 2020年6月5日  
* @version 1.0  
*/
package cn.timer.api.bean.crm;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Title: CrmSeaRule.java
 * 
 * @Description:
 * @author dsc
 * @date 2020年6月5日
 * @version 1.0
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "crm_sea_rule")
@ApiModel("公海规则对应表")
public class CrmSeaRule extends Model<CrmSeaRule> {

	private static final long serialVersionUID = 4427752422137750653L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	
	@ApiModelProperty(value = "组id")
	private Integer gid;

	@ApiModelProperty(value = "添加客户之后(one)天没有跟进 （以跟进记录为准）")
	private int one;

	@ApiModelProperty(value = "距上次跟进(two)天没有再次跟进 （以跟进记录为准）")
	private int two;

	@ApiModelProperty(value = "添加客户之后(three)天没有成交 （天数必须大于规则1）")
	private int three;

	@ApiModelProperty(value = "系统提前(four)天自动提醒业务员客户将被回收")
	private int four;

//	@ApiModelProperty(value = "我的客户数量最多(five)人（合作中的不算）")
//	private int five;
}
