package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 云盘-资源目录,上传文件中间关系表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:48
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_catalogue_files")
@ApiModel("资源目录,上传文件中间关系表")
public class DiskCatalogueFiles extends Model<DiskCatalogueFiles> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 资源目录表ID
	*/
	@ApiModelProperty(value = "资源目录表ID")
	private Integer catalogueId;
	/**
	* 资源上传文件表ID
	*/
	@ApiModelProperty(value = "资源上传文件表ID")
	private Integer filesId;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
