package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;



/**
 * 云盘-资源上传文件表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:48
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_files")
@ApiModel("资源上传文件表")
public class DiskFiles extends Model<DiskFiles> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 文件标题
	*/
	@ApiModelProperty(value = "文件标题")
	private String title;
	/**
	* 文件路径
	*/
	@ApiModelProperty(value = "文件路径")
	private String urlPath;
	/**
	* 文件物理路径
	*/
	@ApiModelProperty(value = "文件物理路径")
	private String diskPath;
	/**
	* 文件大小,单位kb
	*/
	@ApiModelProperty(value = "文件大小,单位kb")
	private Long fileSize;
	/**
	* 显示大小
	*/
	@ApiModelProperty(value = "显示大小:10KB,5M,2G")
	private String showSize;
	/**
	* 文件格式类型
	*/
	@ApiModelProperty(value = "文件格式类型")
	private String fileType;
	/**
	* 上传文件时的IP
	*/
	@ApiModelProperty(value = "上传文件时的IP")
	private String uploadIp;
	/**
	* 逻辑删除标记0.未删除 1.删除
	*/
	@ApiModelProperty(value = "")
	private Integer deleteFlag;
	/**
	* 创建者
	*/
	@ApiModelProperty(value = "")
	private Integer createUserId;
	/**
	 * 用户姓名
	 */
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	* 更新者
	*/
	@ApiModelProperty(value = "")
	private Integer updateUserId;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "")
	private Date updateTime;

	/**
	 * 文件图标
	 */
	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "文件图标")
	private String url;
}
