package cn.timer.api.bean.disk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.Date;



/**
 * 云盘-文件浏览记录表
 * 
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 09:24:49
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "disk_files_log")
@ApiModel("文件浏览记录表")
public class DiskFilesLog extends Model<DiskFilesLog> {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键ID
	 */
	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;
	/**
	* 资源上传文件表ID
	*/
	@ApiModelProperty(value = "资源上传文件表ID")
	private Integer filesId;
	/**
	* 0查看，1下载，2创建
	*/
	@ApiModelProperty(value = "0查看，1下载，2创建")
	private Integer type;
	/**
	* 文件标题
	*/
	@ApiModelProperty(value = "文件标题")
	private String title;
	/**
	* 文件路径
	*/
	@ApiModelProperty(value = "文件路径")
	private String filePath;
	/**
	* 文件大小,单位kb
	*/
	@ApiModelProperty(value = "文件大小,单位kb")
	private String fileSize;
	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
	private Integer userId;
	/**
	* 用户姓名
	*/
	@ApiModelProperty(value = "用户姓名")
	private String userName;
	/**
	 * 逻辑删除标记0.未删除 1.删除
	 */
	@ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
	private Integer deleteFlag;
	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	* 更新时间
	*/
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;


	@Transient
	@TableField(exist = false)
	private DiskFiles diskFiles;

	@Transient
	@TableField(exist = false)
	private DiskFileImage diskFileImage;

}
