package cn.timer.api.bean.jxgl;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-26
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("考核指标评定")
public class JxglAppraisalIndicatorsAssessment extends Model<JxglAppraisalIndicatorsAssessment> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "考核指标id 考核指标id", example = "10")
	private Integer appraisalIndicatorsId;

	@ApiModelProperty(value = "评定人id 评定人id", example = "10")
	private Integer assessorId;

	@ApiModelProperty(value = "评定人名称", example = "评定人名称")
	private String assessorName;

	@ApiModelProperty(value = "评分", example = "评分")
	private String score;

	@ApiModelProperty(value = "评语", example = "评语")
	private String remarks;

	@ApiModelProperty(value = "类型 0自评 1上级评价", example = "10")
	private Integer type;
	
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间", example = "2020-10-10 10:10:10")
	private Date createTime;

}