package cn.timer.api.bean.jxgl;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-26
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("考核记录")
public class JxglAppraisalLog extends Model<JxglAppraisalLog> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)

	@ApiModelProperty(value = "编号 编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "考核id 考核id", example = "10")
	private Integer appraisalId;

	@ApiModelProperty(value = "执行人id 执行人id", example = "10")
	private Integer executorId;

	@ApiModelProperty(value = "执行人名称", example = "执行人名称")
	private String executorName;

	@ApiModelProperty(value = "标题", example = "标题")
	private String title;

	@ApiModelProperty(value = "备注", example = "驳回理由、改分理由")
	private String remarks;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间", example = "2020-10-10 10:10:10")
	private Date createTime;

	@ApiModelProperty(value = "类型 0发起考核 1目标填写 2目标确认 3目标驳回 4自评 5评分驳回 6上级评分 7结果确认 8修改评分 9 考核完成 10 终止考核 11归档", example = "0")
	private Integer type;

}