package cn.timer.api.bean.jxgl;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-26
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("流程节点")
public class JxglProcessNode extends Model<JxglProcessNode> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "10")
	private Integer id;

	@ApiModelProperty(value = "考核id", example = "10")
	private Integer appraisalId;

	@ApiModelProperty(value = "执行人id(员工id)", example = "10")
	private Integer executorId;

	@ApiModelProperty(value = "执行人名称", example = "执行人名称")
	private String executorName;

	@ApiModelProperty(value = "执行人类型 0被考核人 1主管 2指定成员", example = "10")
	private Integer executeType;

	@ApiModelProperty(value = "类型 0目标填写 1目标确认 2自评 3上级评分 4 结果确认", example = "10")
	private Integer processType;

	@ApiModelProperty(value = "名称", example = "目标填写 目标确认 自评 上级评分 结果确认")
	private String name;

	@ApiModelProperty(value = "主管层级 0直属主管 1上上级主管", example = "10")
	private Integer leaderTier;

	@ApiModelProperty(value = "权重", example = "10")
	private Integer weight;

	@ApiModelProperty(value = "状态 0未执行 1执行中 2 已执行", example = "10")
	private Integer sts;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value = "更新时间", example = "2020-10-10 10:10:10")
	private Date updateTime;

}