package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-07
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_ass_overtime_vice")
@ApiModel("加班规则-扣除休息时间")
public class KqglAssOvertimeVice extends Model<KqglAssOvertimeVice> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "1")
	private Integer id;

	@ApiModelProperty(value = "加班规则id 加班规则id", example = "101")
	private Integer overtimeRulesId;

	@ApiModelProperty(value = "休息开始时间 ", example = "休息开始时间")
	private String breakStartTime;

	@ApiModelProperty(value = "休息结束时间 ", example = "休息结束时间")
	private String breakEndTime;

	@ApiModelProperty(value = "类型 1：工作日；2：休息日；3：节假日", example = "101")
	private Integer overType;

}