package cn.timer.api.bean.kqmk;

import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-07
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_bcsz")
@ApiModel("班次表")
public class KqglAssoBcsz extends Model<KqglAssoBcsz> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "班次名称 ", example = "班次名称")
	private String name;

	@ApiModelProperty(value = "上班1 ", example = "上班1")
	private String sbdk1;

	@ApiModelProperty(value = "上班1是否次日（0：否；1：是） 上班1是否次日（0：否；1：是）", example = "101")
	private Integer isSbdk1Cr;

	@ApiModelProperty(value = "上班1区间开始 ", example = "上班1区间开始")
	private String sbqjks1;

	@ApiModelProperty(value = "上班1区间结束 ", example = "上班1区间结束")
	private String sbqjjs1;

	@ApiModelProperty(value = "下班1 ", example = "下班1")
	private String xbdk1;

	@ApiModelProperty(value = "下班1是否次日（0：否；1：是） 下班1是否次日（0：否；1：是）", example = "101")
	private Integer isXbdk1Cr;

	@ApiModelProperty(value = "下班1区间开始 ", example = "下班1区间开始")
	private String xbqjks1;

	@ApiModelProperty(value = "下班1区间结束 ", example = "下班1区间结束")
	private String xbqjjs1;

	@ApiModelProperty(value = "上班2 ", example = "上班2")
	private String sbdk2;

	@ApiModelProperty(value = "上班2是否次日（0：否；1：是） 上班2是否次日（0：否；1：是）", example = "101")
	private Integer isSbdk2Cr;

	@ApiModelProperty(value = "上班2区间开始 ", example = "上班2区间开始")
	private String sbqjks2;

	@ApiModelProperty(value = "上班2区间结束 ", example = "上班2区间结束")
	private String sbqjjs2;

	@ApiModelProperty(value = "下班2 ", example = "下班2")
	private String xbdk2;

	@ApiModelProperty(value = "下班2是否次日（0：否；1：是） 下班2是否次日（0：否；1：是）", example = "101")
	private Integer isXbdk2Cr;

	@ApiModelProperty(value = "下班2区间开始 ", example = "下班2区间开始")
	private String xbqjks2;

	@ApiModelProperty(value = "下班2区间结束 ", example = "下班2区间结束")
	private String xbqjjs2;

	@ApiModelProperty(value = "上班3 ", example = "上班3")
	private String sbdk3;

	@ApiModelProperty(value = "上班3是否次日（0：否；1：是） 上班3是否次日（0：否；1：是）", example = "101")
	private Integer isSbdk3Cr;

	@ApiModelProperty(value = "上班3区间开始 ", example = "上班3区间开始")
	private String sbqjks3;

	@ApiModelProperty(value = "上班3区间结束 ", example = "上班3区间结束")
	private String sbqjjs3;

	@ApiModelProperty(value = "下班3 ", example = "下班3")
	private String xbdk3;

	@ApiModelProperty(value = "下班3是否次日（0：否；1：是） 下班3是否次日（0：否；1：是）", example = "101")
	private Integer isXbdk3Cr;

	@ApiModelProperty(value = "下班3区间开始 ", example = "下班3区间开始")
	private String xbqjks3;

	@ApiModelProperty(value = "下班3区间结束 ", example = "下班3区间结束")
	private String xbqjjs3;

	@ApiModelProperty(value = "是否开启休息时间（0：否；1：是） 是否开启休息时间（0：否；1：是）", example = "101")
	private Integer isXiuxi;

	@ApiModelProperty(value = "休息开始时间 休息开始时间", example = "101")
	private String startTime;

	@ApiModelProperty(value = "休息结束时间 休息结束时间", example = "101")
	private String endTime;

	@ApiModelProperty(value = "上下班次数(1/2/3  最大值为3)", example = "101")
	private Integer sxbcs;

	@ApiModelProperty(value = "是否下班不用打卡(0：否；1：是)", example = "101")
	private Integer isXbdk;

	@ApiModelProperty(value = "允许迟到分钟数 允许迟到分钟数", example = "101")
	private Integer yxcdfzs;

	@ApiModelProperty(value = "严重迟到分钟数 严重迟到分钟数", example = "101")
	private Integer yzcdfzs;

	@ApiModelProperty(value = "旷工迟到分钟数 旷工迟到分钟数", example = "101")
	private Integer kgcdfzs;

	@ApiModelProperty(value = "是否开启晚走晚到(0：否；1：是) 是否开启晚走晚到(0：否；1：是)", example = "101")
	private Integer isWzwd;

	@ApiModelProperty(value = "下班晚走1(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String xbwz1;

	@ApiModelProperty(value = "上班晚到1(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String sbwd1;

	@ApiModelProperty(value = "下班晚走2(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String xbwz2;

	@ApiModelProperty(value = "上班晚到2(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String sbwd2;

	@ApiModelProperty(value = "下班晚走3(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String xbwz3;

	@ApiModelProperty(value = "上班晚到3(0：不启用 ", example = " 大于0启用 ---> 1/2/3  最大值为3)")
	private String sbwd3;

	@ApiModelProperty(value = "备注 ", example = "备注")
	private String beiz;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

	@ApiModelProperty(value = "录入时间 录入时间", example = "101")
	private Long lusjTime;

	@ApiModelProperty(value = "录入人员 录入人员", example = "101")
	private Integer luryid;

}