package cn.timer.api.bean.kqmk;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-09
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_dkdz")
@ApiModel("考勤打卡地址")
public class KqglAssoDkdz extends Model<KqglAssoDkdz> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "打卡地址-名称 ", example = "打卡地址-名称")
	private String name;

	@ApiModelProperty(value = "详细地址 ", example = "详细地址")
	private String address;

	@ApiModelProperty(value = "打卡范围 打卡范围", example = "101")
	private Integer dkfw;

	@ApiModelProperty(value = "经度 ", example = "经度")
	private Double lon;

	@ApiModelProperty(value = "纬度 ", example = "纬度")
	private Double lat;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

	@ApiModelProperty(value = "录入时间 录入时间", example = "101")
	private Long lusjTime;

	@ApiModelProperty(value = "录入人员 录入人员", example = "101")
	private Integer luryid;

}