package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_kqj")
@ApiModel("考勤机表")
public class KqglAssoKqj extends Model<KqglAssoKqj> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "1")
	private Integer id;

	@ApiModelProperty(value = "名称 ", example = "考勤机测试")
	private String name;

	@ApiModelProperty(value = "设备编码 ", example = "45654HF565HY5")
	private String code;

	@ApiModelProperty(value = "企业id 企业id", example = "117")
	private Integer qyid;

	@ApiModelProperty(value = "录入时间 录入时间", example = "1588988847000")
	private Long lusjTime;

	@ApiModelProperty(value = "录入人员 录入人员", example = "201")
	private Integer luryid;

	@ApiModelProperty(value = "类型（1：浩顺考勤机；2：中控考勤机） 类型（1：浩顺考勤机；2：中控考勤机）", example = "1")
	private Integer type;

}