package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @author Tang 2020-06-23
 */
@Data
@Builder
@Table(name = "kqgl_asso_leave_rules_t")
@ApiModel("假期规则")
public class KqglAssoLeaveRulesT extends Model<KqglAssoLeaveRulesT> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "假期规则编号 假期规则编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "假期名称 ", example = "假期名称")
	private String name;

	@ApiModelProperty(value = "请假单位 1：按天请假；2：按半天；3：按小时", example = "101")
	private Integer company;

	@ApiModelProperty(value = "假期类型 1：系统项；2：自定义项", example = "101")
	private Integer leaveType;

	@ApiModelProperty(value = "适用范围 0:全公司 >0:考勤组id", example = "101")
	private Integer apply;

	@ApiModelProperty(value = "是否开启 0：否；1：是 [只针对系统项]", example = "101")
	private Integer isOpen;

	@ApiModelProperty(value = "假期余额 0：关（该项余额为“不限余额”）；1：开（该项余额为“0”）", example = "101")
	private Integer leaveBalance;

	@ApiModelProperty(value = "1：事假；2：调休；3：病假；4：年假；5：产假；6：陪产假；7：婚假；8：例假；9：丧假；10：哺乳假 1：事假；2：调休；3：病假；4：年假；5：产假；6：陪产假；7：婚假；8：例假；9：丧假；10：哺乳假", example = "101")
	private Integer rulesType;

}