package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_asso_overtime_basics")
@ApiModel("加班基础设置")
public class KqglAssoOvertimeBasics extends Model<KqglAssoOvertimeBasics> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "1")
	private Integer id;

	@ApiModelProperty(value = "最小加班单位 1：按分钟加班、2：按半小时加班、3：按小时加班、4：按半天加班、5：按天加班", example = "1")
	private Integer minimumUnit;

	@ApiModelProperty(value = "修改人 修改人", example = "224")
	private Integer modifyUserid;

	@ApiModelProperty(value = "修改时间 修改时间", example = "1588902915035")
	private Long modifyTime;

	@ApiModelProperty(value = "企业组织代码 企业组织代码", example = "117")
	private Integer orgCode;

}