package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-05-09
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_main_kqz")
@ApiModel("考勤组")
public class KqglMainKqz extends Model<KqglMainKqz> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "名称 ", example = "名称")
	private String name;

	@ApiModelProperty(value = "考勤备注 ", example = "考勤备注")
	private String kqbz;

	@ApiModelProperty(value = "排班方式（1：固定排班；2：自由排班；3：自由工时） 排班方式（1：固定排班；2：自由排班；3：自由工时）", example = "101")
	private Integer pbfs;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

	@ApiModelProperty(value = "是否开启法定节假日休息 是否开启法定节假日休息", example = "101")
	private Integer isFdjjr;

	@ApiModelProperty(value = "考勤开始时间（自由工时专用） ", example = "考勤开始时间（自由工时专用）")
	private String kqkssjTime;

	@ApiModelProperty(value = "至少工作时长（自由工时专用--【已去掉】） ", example = "至少工作时长（自由工时专用--【已去掉】）")
	private String zsgzsc;

	@ApiModelProperty(value = "正常工作时长（自由工时专用--【已去掉】） ", example = "正常工作时长（自由工时专用--【已去掉】）")
	private String zcgzsc;

	@ApiModelProperty(value = "上班后多久可打下班卡（自由工时专用） ", example = "上班后多久可打下班卡（自由工时专用）")
	private String jbzdsc;

	@ApiModelProperty(value = "是否开启到期提醒（[排班制专用]0：否；1：是） 是否开启到期提醒（[排班制专用]0：否；1：是）", example = "101")
	private Integer isDqtx;

	@ApiModelProperty(value = "提醒人员（[排班制专用]员工id以[“，”]连接 ", example = "json数组）")
	private String txry;

	@ApiModelProperty(value = "提醒方式（[排班制专用]提前15天、7天、3天、1天） 提醒方式（[排班制专用]提前15天、7天、3天、1天）", example = "101")
	private Integer txfs;

	@ApiModelProperty(value = "提醒循环天数（[排班制专用]） 提醒循环天数（[排班制专用]）", example = "101")
	private Integer txxhts;

	@ApiModelProperty(value = "提醒时间（[排班制专用]） ", example = "提醒时间（[排班制专用]）")
	private String txsjTime;

	@ApiModelProperty(value = "提示方式（[排班制专用]PC端、APP客户端、短信、邮件 ", example = "以[“，”]连接 json数组）")
	private String tsfs;

	@ApiModelProperty(value = "是否开启未排班时打卡（[排班制专用]0：否；1：是；未排班时，员工可以选择班次打卡） 是否开启未排班时打卡（[排班制专用]0：否；1：是；未排班时，员工可以选择班次打卡）", example = "101")
	private Integer isWpbsdk;

	@ApiModelProperty(value = "使用班次【排班制使用】 ", example = "使用班次【排班制使用】")
	private String sybc;

	@ApiModelProperty(value = "是否开启未排班时，员工可选择班次打卡 是否开启未排班时，员工可选择班次打卡", example = "101")
	private Integer isXzbcdk;

	@ApiModelProperty(value = "外勤 外勤", example = "101")
	private Integer isWq;
	
	@ApiModelProperty(value="加班规则 加班规则",example="101")
    private Integer overtimeRulesId;
	
	@ApiModelProperty(value="休息日打卡开关 0:关 1：开",example="101")
    private Integer restdayclock;

}