package cn.timer.api.bean.kqmk;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-05-19
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqgl_task_timing")
@ApiModel("考勤任务定时")
public class KqglTaskTiming extends Model<KqglTaskTiming> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "任务 ", example = "任务")
	private String task;

	@ApiModelProperty(value = "任务执行状态 0：未执行；1：执行中", example = "101")
	private Integer executionStatus;

	@ApiModelProperty(value = "最后一次执行时间 最后一次执行时间", example = "101")
	private Long lastExecutionTime;

}