package cn.timer.api.bean.kqmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-09-22	
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "kqmk_redletter_day")
@ApiModel("节假日")
public class KqmkRedletterDay extends Model<KqmkRedletterDay> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "日期 ", example = "日期")
	private String holiday;

	@ApiModelProperty(value = "假日名称 ", example = "假日名称")
	private String holidayName;

	@ApiModelProperty(value = "是否为节假日（0：否；1：是） 是否为节假日（0：否；1：是）", example = "101")
	private Integer holidayStatus;
	
	@ApiModelProperty(value = "年月", example = "101")
	private String belongYearmonth;
	
}