package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2019-11-11
 */
@Entity
@Data
@Builder(toBuilder = true)
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "qyzx_ent_info_m")
@ApiModel("企业信息")
public class QyzxEntInfoM extends Model<QyzxEntInfoM> {

	private static final long serialVersionUID = -8183022357750431045L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "组织机构代码  组织机构代码", example = "4")
	private Integer id;

	@ApiModelProperty(value = "企业名称 ", example = "优领人才")
	private String name;

	@ApiModelProperty(value = "认证名 ", example = "广东优领人才科技服务有限公司")
	private String attestName;

	@ApiModelProperty(value = "简介", example = "公司福利好")
	private String intro;

	@ApiModelProperty(value = "法人 ", example = "刘德华")
	private String operName;

	@ApiModelProperty(value = "企业规模  0:10人以下、1:10-19人、2:20-99人、3:100-500人、4:500人以上", example = "3")
	private Integer size;

	@ApiModelProperty(value = "电话号码 ", example = "18712345678")
	private String phone;

	@ApiModelProperty(value = "邮编 ", example = "110000")
	private String zipCode;
	
	@ApiModelProperty(value = "所在地区id", example = "广东省广州市白云区")
	private String area;
	
	@ApiModelProperty(value = "所在地区中文", example = "广东省广州市白云区")
	private String areaName;

	@ApiModelProperty(value = "办公地址 ", example = "广从一路5号柏曼酒店3楼")
	private String workAddress;

	@ApiModelProperty(value = "企业简写 ", example = " 例：YLZYCS（YL：优领简写；ZY：版本；CS：账户公司简称）")
	private String codes;

	@ApiModelProperty(value = "企业LOGO ", example = "企业LOGO")
	private String logoUrl;

	@ApiModelProperty(value = "行业类型  1:农、林、牧、渔业、2:采矿业、3:制造业、4:电力、燃气及水的生产和供应业、5:建筑业、6:交通运输、仓储和邮政业、7:信息传输、计算机服务和软件业、8:批发和零售业、9:住宿和餐饮业、10:金融业、11:房地产业、12:租赁和商务服务业、13:科学研究、技术服务和地质勘查业、14:水利、环境和公共设施管理业、15:居民服务和其他服务业", example = "101")
	private Integer industryType;

	@ApiModelProperty(value = "开通渠道  1直属、2总代理、3独家代理、4一般代理商、5区域代理商 ", example = "101")
	private Integer openChannel;

	@ApiModelProperty(value = "联系人", example = "刘德华")
	private String linkMan;

	@ApiModelProperty(value = "联系人电话 ", example = "18712345678")
	private String linkManPhone;

	@ApiModelProperty(value = "统一社会信用代码 ", example = "统一社会信用代码")
	private String creditCode;

	@ApiModelProperty(value = "是否上市  0:否 1:是", example = "101")
	private Integer isOnStock;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "企业注册时间 ", example = "企业注册时间")
	private Date registerTime;

	@ApiModelProperty(value = "营业执照 ", example = "营业执照url ")
	private String licenseUrl;

	@ApiModelProperty(value = "认证状态 ", example = "0未认证，1 认证中，2认证成功，3认证失败 ")
	private Integer attestStatus;

	@ApiModelProperty(value = "认证时间 ", example = "2019-12-12 08:00:00")
	private Date attestTime;

	@ApiModelProperty(value = "认证通过时间 ", example = "2019-12-12 08:00:00")
	private Date attestPassTime;

	@ApiModelProperty(value = "到期时间 ", example = "2039-12-12 08:00:00")
	private Date endTime;

	@ApiModelProperty(value = "企业版本，0试用,1标准,2专业, ", example = "0")
	private Integer level;
}