/**  
* <p>Title: QyzxInvoiceData.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/  
package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**  
* <p>Title: QyzxInvoiceData.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_invoice_usual")
@ApiModel("常用发票资料表")
public class QyzxInvoiceUsual extends Model<QyzxInvoiceUsual>{

	private static final long serialVersionUID = 2890357568571822258L;
	
	@Id
	@GeneratedValue
	@TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="1")
	private Integer id;

	@ApiModelProperty(value="发票抬头",example="广东优领")
    private String invoiceTitle;
	
	@ApiModelProperty(value="税号",example="915345164")
	private String dutyParagraph;
	
	@ApiModelProperty(value="公司地址",example="广东省")
	private String companyAddress;
	
	@ApiModelProperty(value="电话号码",example="18152456464")
	private String companyPhone;
	
	@ApiModelProperty(value="开户行",example="中信银行广州白云支行")
	private String bankName;
	
	@ApiModelProperty(value="银行账号",example="8110901011900785029")
	private String bankAccount;
	
	@ApiModelProperty(value="发票类型",example="0-普通 1-专用")
	private Integer invoiceType;

	@ApiModelProperty(value="收货人",example="翁🐻")
	private String consignee;
	
	@ApiModelProperty(value="收货人电话",example="13144400255")
	private String consigneePhone;
	
	@ApiModelProperty(value="邮箱",example="13144400255@163.com")
	private String email;
	
	@ApiModelProperty(value="收货地区",example="广东省广州市白云区")
	private String shippingArea;
	
	@ApiModelProperty(value="收货地址",example="白云东平伯曼酒店")
	private String shippingAddress;
	
	@ApiModelProperty(value="邮编",example="510080")
	private String zipCode;
	
	@ApiModelProperty(value="企业",example="117")
    private Integer orgCode;
	
	@ApiModelProperty(value="模块状态",example="默认0-开启，1-关闭")
    private Integer status;
	
	@ApiModelProperty(value="是否删除",example="默认0-未删除，1-删除")
    private Integer isDelete;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="创建时间 ",example="")
	private Date createTime;

	@ApiModelProperty(value="创建人 ",example="")
	private Integer createUser;

	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value="修改时间 ",example="")
	private Date modifyTime;

	@ApiModelProperty(value="修改人 ",example="")
	private Integer modifyUser;
}
