package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 操作日志记录表 oper_log
 * 
 * @author Tang
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder=true)
@Table(name="qyzx_oper_log")
@ApiModel("操作日志")
public class QyzxOperLog extends Model<QyzxOperLog>{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	/** 日志主键 */
    @Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号",example="101")
    private Integer operId;
    
	@ApiModelProperty(value="企业id",example="101")
    private Integer orgCode;
    
	@ApiModelProperty(value="员工id",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="标题 ",example="操作模块")
    private String title;
    
	@ApiModelProperty(value="业务类型（0其它 1新增 2修改 3删除）",example="101")
    private Integer businessType;
    
	@ApiModelProperty(value="请求方法",example="请求方法")
    private String method;
    
	@ApiModelProperty(value="请求方式",example="请求方式")
    private String requestMethod;
    
	@ApiModelProperty(value="操作类别（0其它 1后台用户 2手机端用户）",example="101")
    private Integer operatorType;
    
	@ApiModelProperty(value="操作人员",example="操作人员")
    private String operName;
    
	@ApiModelProperty(value="部门名称",example="部门名称")
    private String deptName;
    
	@ApiModelProperty(value="请求url",example="请求url")
    private String operUrl;
    
	@ApiModelProperty(value="操作地址",example="操作地址")
    private String operIp;
    
	@ApiModelProperty(value="操作地点",example="操作地点")
    private String operLocation;
    
	@ApiModelProperty(value="请求参数",example="请求参数")
    private String operParam;
    
	@ApiModelProperty(value="返回参数",example="返回参数")
    private String jsonResult;
    
	@ApiModelProperty(value="操作状态（0正常 1异常）",example="101")
    private Integer status;
    
	@ApiModelProperty(value="错误消息",example="错误消息")
    private String errorMsg;
    
	@ApiModelProperty(value="操作时间",example="操作时间")
    private Date operTime;

}
