package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-13
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_sms")
@ApiModel("短信内容表")
public class QyzxSms extends Model<QyzxSms> {

	private static final long serialVersionUID = -5621237996991889553L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="101")
    private Integer id;
	
	@ApiModelProperty(value="使用记录表id",example="101")
    private Integer useId;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
	@ApiModelProperty(value="电话号码 ",example="电话号码")
    private String phone;
    
	@ApiModelProperty(value="短信类型 1.验证码 2.消息推送 3通知提醒",example="101")
    private Integer messageType;
    
	@ApiModelProperty(value="内容 ",example="内容")
    private String content;
    
	@ApiModelProperty(value="发送时间 ",example="短信发送时间")
    private Date createTime;

}