/**  
* <p>Title: QyzxBuyRecord.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/  
package cn.timer.api.bean.qyzx.businessService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**  
* <p>Title: QyzxBuyRecord.java</p>  
* <p>Description: 购买记录实体类</p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_buy_record")
@ApiModel("购买记录表")
public class QyzxBuyRecord extends Model<QyzxBuyRecord>{

	private static final long serialVersionUID = -5059508638044339323L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="1")
    private Integer id;
	
	@ApiModelProperty(value="付费模块id",example="1")
    private Integer pmid;
	
	@ApiModelProperty(value="付费商品id",example="1")
	private Integer pcid;
	
	@ApiModelProperty(value="订单号",example="1")
	private String orderNo;
	
	@ApiModelProperty(value="付费内容描述",example="短信")
    private String content;
	
	@ApiModelProperty(value="购买单价",example="888")
    private Double price;
	
	@ApiModelProperty(value="购买总价",example="888")
    private Double totalPrice;
	
	@ApiModelProperty(value="规格",example="500")
    private Integer specification;
	
	@ApiModelProperty(value="购入份数",example="2")
    private Integer count;
	
	@ApiModelProperty(value="单位",example="条")
    private String unit;
	
	@ApiModelProperty(value="到期时间",example="365天")
    private Date expireDate;
	
	@ApiModelProperty(value="支付方式",example="0-无 1-微信 2-支付宝")
    private Integer payment;
	
	@ApiModelProperty(value="开票状态",example="0-待开票 1-开票中 2-已开票 3-开票失败")
    private Integer invoiceStatus;
	
	@ApiModelProperty(value="企业",example="117")
    private Integer orgCode;
	
	@ApiModelProperty(value="排序",example="")
    private Integer sort;
	
	@ApiModelProperty(value="模块状态",example="默认0-开启，1-关闭")
	private Integer status;
	
	@ApiModelProperty(value="是否删除",example="默认0-未删除，1-删除")
    private Integer isDelete;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="创建时间 ",example="")
    private Date createTime;
	
	@ApiModelProperty(value="创建人 ",example="")
    private Integer createUser;
	
	@TableField(fill = FieldFill.INSERT_UPDATE)
	@ApiModelProperty(value="修改时间 ",example="")
    private Date modifyTime;
	
	@ApiModelProperty(value="修改人 ",example="")
    private Integer modifyUser;

}
