/**  
* <p>Title: QyzxOrderRecord.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月22日  
* @version 1.0  
*/  
package cn.timer.api.bean.qyzx.businessService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**  
* <p>Title: QyzxOrderRecord.java</p>  
* <p>Description: 订单记录表实体类</p>  
* @author dsc  
* @date 2020年4月22日  
* @version 1.0  
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_order_record")
@ApiModel("订单记录表")
public class QyzxOrderRecord extends Model<QyzxOrderRecord>{

	private static final long serialVersionUID = -7510680773649130425L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="1")
    private Integer id;
	
	@ApiModelProperty(value="付费模块id",example="1")
    private Integer pmid;
	
	@ApiModelProperty(value="付费内容id",example="1")
    private Integer pcid;
	
	@ApiModelProperty(value="购买数量",example="1")
    private Integer count;
	
	@ApiModelProperty(value="订单号",example="123456")
    private String orderNo;
	
	@ApiModelProperty(value="订单状态",example="0-无 1-支付成功")
	private Integer orderStatus;
	
	@ApiModelProperty(value="商品详情",example="json对象")
    private String orderDetail;

	@ApiModelProperty(value="支付方式",example="0-无 1-微信 2-支付宝")
    private Integer payment;
	
	@ApiModelProperty(value="公司",example="117")
    private Integer orgCode;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="创建时间 ",example="")
    private Date createTime;
	
	@ApiModelProperty(value="创建人 ",example="")
    private Integer createUser;

}
