/**  
* <p>Title: QyzxPayContent.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/  
package cn.timer.api.bean.qyzx.businessService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**  
* <p>Title: QyzxPayContent.java</p>  
* <p>Description: 付费内容实体类</p>  
* @author dsc  
* @date 2020年4月21日  
* @version 1.0  
*/

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_pay_content")
@ApiModel("付费内容表")
public class QyzxPayContent extends Model<QyzxPayContent>{

	private static final long serialVersionUID = -8875991464695313175L;
	
	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键",example="1")
    private Integer id;
	
	@ApiModelProperty(value="付费模块id",example="1")
    private Integer pmid;
	
	@ApiModelProperty(value="付费内容描述",example="短信")
    private String content;
	
	@ApiModelProperty(value="规格",example="500")
    private Integer specification;
	
//	@ApiModelProperty(value="数量",example="2")
//    private Integer count;
	
	@ApiModelProperty(value="单位",example="条")
    private String unit;
	
	@ApiModelProperty(value="初始价格",example="998")
    private Double originalPrice;
	
	@ApiModelProperty(value="现在价格",example="888")
    private Double nowPrice;

	@ApiModelProperty(value="有效期",example="365")
	private Long expiration;
	
	@ApiModelProperty(value="排序",example="")
    private Integer sort;
	
	@ApiModelProperty(value="模块状态",example="默认0-开启，1-关闭")
    private Integer status;
	
	@ApiModelProperty(value="是否删除",example="默认0-未删除，1-删除")
    private Integer isDelete;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="创建时间 ",example="")
    private Date createTime;
	
	@ApiModelProperty(value="创建人 ",example="")
    private Integer createUser;
	
	@TableField(fill = FieldFill.INSERT_UPDATE)
	@ApiModelProperty(value="修改时间 ",example="")
    private Date modifyTime;
	
	@ApiModelProperty(value="修改人 ",example="")
    private Integer modifyUser;

}
