/**  
 * <p>Title: QyzxUseRecord.java</p>  
 * <p>Description: </p>  
 * @author dsc  
 * @date 2020年4月21日  
 * @version 1.0  
 */
package cn.timer.api.bean.qyzx.businessService;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * Title: QyzxUseRecord.java
 * </p>
 * <p>
 * Description: 使用记录表实体类
 * </p>
 * 
 * @author dsc
 * @date 2020年4月21日
 * @version 1.0
 */

@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name = "qyzx_use_record")
@ApiModel("使用记录表")
public class QyzxUseRecord extends Model<QyzxUseRecord> {

	private static final long serialVersionUID = 8623518557970200924L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "主键", example = "1")
	private Integer id;

	@ApiModelProperty(value = "模块id 0-无 1-短信 2-电子合同 3-系统续费", example = "1")
	private Integer pmid;

	@ApiModelProperty(value = "企业id", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "订单号", example = "1")
	private String orderNo;

	@ApiModelProperty(value = "使用场景", example = "1")
	private String scene;

	@ApiModelProperty(value = "使用数量", example = "1")
	private Integer useNum;

	@ApiModelProperty(value = "原始总量", example = "500")
	private Integer originalTotalNum;

	@ApiModelProperty(value = "当前总量", example = "499")
	private Integer nowTotalNum;

	@ApiModelProperty(value = "是否删除", example = "默认0-未删除，1-删除")
	private Integer isDelete;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间 ", example = "")
	private Date createTime;

	@ApiModelProperty(value = "创建人 ", example = "")
	private String createUser;

	@ApiModelProperty(value = "使用人手机号（短信） ", example = "")
	private String userPhone;
	
	@ApiModelProperty(value = "流程id（合同） ", example = "")
	private String flowId;
	
	@ApiModelProperty(value = "合同名称 ", example = "")
	private String flowName;
}
