package cn.timer.api.bean.sbgjj;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author lal 2019-12-07
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="sbgjj_asso_cbfa")
@ApiModel("参保方案")
public class SbgjjAssoCbfa extends Model<SbgjjAssoCbfa> {

	private static final long serialVersionUID = -6328104461184682537L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="参保名称 ",example="参保名称")
    private String cbmcName;
    
	@ApiModelProperty(value="参保城市 ",example="参保城市")
    private String cbcs;
    
	@ApiModelProperty(value="社保参保方案名称 ",example="社保参保方案名称")
    private String sbcbfzmc;
    
	@ApiModelProperty(value="公积金参保方案名称 ",example="公积金参保方案名称")
    private String gjjcbfamc;
    
	@ApiModelProperty(value="服务费 ",example="(元/人/月)")
    private Double fwf;
    
	@ApiModelProperty(value="社保(公积金)方案库id",example="101")
    private Integer sbSbgjjid;
    
	@ApiModelProperty(value="(社保)公积金方案库id",example="101")
    private Integer gjjSbgjjid;
	
	@ApiModelProperty(value="企业id",example="企业id")
	private Integer qyid;
	
	@ApiModelProperty(value="社保获取最小值",example="社保获取最小值")
	private Double sbmin;
	@ApiModelProperty(value="公积金获取最小值",example="公积金获取最小值")
	private Double gjjmin;
	
	@ApiModelProperty(value="社保获取最大值",example="社保获取最大值")
	private Double sbmax;
	@ApiModelProperty(value="公积金获取最大值",example="公积金获取最大值")
	private Double gjjmax;
	
	@ApiModelProperty(value="公积金(0：不办理；1：办理)",example="1")
	private Integer isGjjbl;
    

}