package cn.timer.api.bean.sbgjj;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author lal 2019-12-07
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="sbgjj_asso_cbfzmx")
@ApiModel("参保方案明细")
public class SbgjjAssoCbfzmx extends Model<SbgjjAssoCbfzmx> {

	private static final long serialVersionUID = -9196350600285596196L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="险种 ",example="险种")
    private String xz;
    
	@ApiModelProperty(value="基数下限 ",example="基数下限")
    private String jsxx;
    
	@ApiModelProperty(value="基数上限 ",example="基数上限")
    private String jssx;
    
	@ApiModelProperty(value="公司比例 ",example="公司比例")
    private String gjbl;
    
	@ApiModelProperty(value="公司固定金额 ",example="公司固定金额")
    private Double gsgdje;
    
	@ApiModelProperty(value="公司取整规则 公司取整规则",example="101")
    private Integer gsqzgz;
    
	@ApiModelProperty(value="个人比例 ",example="个人比例")
    private String grbl;
    
	@ApiModelProperty(value="个人固定金额 ",example="个人固定金额")
    private Double grgdje;
    
	@ApiModelProperty(value="个人取整规则 个人取整规则",example="101")
    private Integer grqzgz;
    
	@ApiModelProperty(value="类型 1：社保 2：公积金",example="101")
    private Integer type;
    
	@ApiModelProperty(value="添加时间 添加时间",example="101")
    private Long tjsjTime;
    
	@ApiModelProperty(value="添加人员 添加人员",example="101")
    private Integer tjryNum;
    
	@ApiModelProperty(value="公司社保合计 规则（四舍五入）",example="101")
    private Integer gssbhj;
    
	@ApiModelProperty(value="个人社保合计 规则（四舍五入）",example="101")
    private Integer grsbhj;
    
	@ApiModelProperty(value="公司公积金合计 规则（四舍五入）",example="101")
    private Integer gsgjjhj;
    
	@ApiModelProperty(value="个人公积金合计 规则（四舍五入）",example="101")
    private Integer grgjjhj;
    
	@ApiModelProperty(value="参保方案id 参保方案id",example="101")
    private Integer cbfaid;
    

}