package cn.timer.api.bean.sbgjj;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lal 2020-06-08
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "sbgjj_asso_detailed")
@ApiModel("月结明细")
public class SbgjjAssoDetailed extends Model<SbgjjAssoDetailed> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户id 用户id", example = "101")
	private Integer userId;

	@ApiModelProperty(value = "时间 ", example = "年月日")
	private String attributionTime;

	@ApiModelProperty(value = "参保方案明细id 参保方案明细id", example = "101")
	private Integer cbfzmxId;

	@ApiModelProperty(value = "险种名称 险种名称", example = "101")
	private String coverageName;

	@ApiModelProperty(value = "个人金额 ", example = "个人金额")
	private Double personalAmount;
	
	@ApiModelProperty(value = "个人比例 ", example = "个人比例")
	private String personalProportion;

	@ApiModelProperty(value = "公司金额 ", example = "公司金额")
	private Double companyAmount;
	
	@ApiModelProperty(value = "公司比例 ", example = "公司比例")
	private String companyProportion;

	@ApiModelProperty(value = "险种类型 1：社保；2：公积金", example = "101")
	private Integer xzType;

	@ApiModelProperty(value = "企业组织代码 ", example = "企业组织代码")
	private Integer orgCode;

	@ApiModelProperty(value = "生成时间 生成时间", example = "101")
	private Long addtime;
	
	
	@ApiModelProperty(value = "参保方案 ", example = "参保方案")
	private String cbfns;
	
	@ApiModelProperty(value = "社保基数 ", example = "社保基数")
	private String sbjss;

	@ApiModelProperty(value = "公积金基数 ", example = "公积金基数")
	private String gjjjss;
	
	@ApiModelProperty(value = "参保人员id ", example = "参保人员id")
	private Integer cbryid;

}