package cn.timer.api.bean.serverurl;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 公司服务端地址表
 */

@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "company_server_url")
@Data
@ApiModel("公司服务端地址表")
public class CompanyServerUrl extends Model<CompanyServerUrl> {

    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    @Id
    @GeneratedValue
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "ID")
    private Long id;

    /**
     * 公司名称
     */
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    /**
     * 服务端IP地址或域名地址
     */
    @ApiModelProperty(value = "服务端IP地址或域名地址")
    private String serverUrl;

    /**
     * 状态 0停用 1启用
     */
    @ApiModelProperty(value = "状态 0停用 1启用")
    private Integer status;

    /**
     * 排序 数字越大排最前面
     */
    @ApiModelProperty(value = "排序 数字越大排最前面")
    private Integer sort;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String note;

}
