package cn.timer.api.bean.spmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-04-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_approve_detail")
@ApiModel("审批详情")
public class SpmkApproveDetail extends Model<SpmkApproveDetail> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "审批汇总id 审批汇总id", example = "101")
	private Integer approveSummaryId;

	@ApiModelProperty(value = "标题 ", example = "标题")
	private String name;

	@ApiModelProperty(value = "所在部门名称 ", example = "所在部门名称")
	private String departmentName;

	@ApiModelProperty(value = "申请数据 ", example = "申请数据")
	private byte[] requestData;

	@ApiModelProperty(value = "审批表单 ", example = "审批表单")
	private byte[] froms;

	@ApiModelProperty(value = "审批流程 ", example = "审批流程")
	private byte[] router;
	
	@ApiModelProperty(value = "通过节点 ", example = "通过节点")
	private byte[] flowChildren;

}