package cn.timer.api.bean.spmk;

import java.util.Date;
import java.util.List;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-04-17
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_approve_execute_record")
@ApiModel("审批执行记录")
public class SpmkApproveExecuteRecord extends Model<SpmkApproveExecuteRecord> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "审批汇总id 审批汇总id", example = "101")
	private Integer approveSummaryId;

	@ApiModelProperty(value = "名称 ", example = "发起申请 1抄送人 审批人 ")
	private String name;

	@ApiModelProperty(value = "类型 0发起申请 1抄送人 2审批人", example = "101")
	private Integer type;

	@ApiModelProperty(value = "状态 0未执行 1审批中 2同意 3拒绝", example = "101")
	private Integer sts;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "创建时间 ", example = "创建时间")
	private Date createTime;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value = "操作时间 ", example = "操作时间")
	private Date updateTime;

	private List<SpmkExecutor> spmkExecutors;
	
}