package cn.timer.api.bean.spmk;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author Tang 2020-04-28
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_initiator_config")
@ApiModel("审批发起人配置")
public class SpmkInitiatorConfig extends Model<SpmkInitiatorConfig> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "自定义审批id 自定义审批id", example = "101")
	private Integer customApprovalId;

	@ApiModelProperty(value = "关联id 关联id", example = "101")
	private Integer assoId;

	@ApiModelProperty(value = "类型 1员工 2部门 3岗位", example = "101")
	private Integer type;

}