package cn.timer.api.config.interceptor;

import java.io.IOException;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import cn.hutool.core.bean.BeanUtil;
import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.utils.redis.RedisUtil;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import cn.hutool.json.JSONObject;
import cn.timer.api.utils.ResponseResult;

//拦截登录失效的请求
@Component
public class RedisSessionInterceptor implements HandlerInterceptor {

	@Resource
	private RedisUtil redisUtil;

	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler)
			throws Exception {

//		response.setHeader("Access-Control-Allow-Origin","http://120.24.24.239:8088");
////		response.setHeader("Access-Control-Allow-Origin",request.getHeader("Origin"));
//        response.setHeader("Access-Control-Allow-Methods", "*");
//        response.setHeader("Access-Control-Allow-Credentials", "true");
//        response.setHeader("Access-Control-Allow-Headers", "*");
//
//        System.out.print("request.Origin>"+request.getHeader("Origin"));

//		//option预检查，直接通过请求
//		if ("OPTIONS".equals(request.getMethod())){
//		 return true;
//		}



		/*
		 * Enumeration<String> names = request.getHeaderNames();
		 * while(names.hasMoreElements()) { String name = (String)names.nextElement();
		 * String value = request.getParameter(name); System.out.println(name + " = " +
		 * value); }
		 */
		// 无论访问的地址是不是正确的，都进行登录验证，登录成功后的访问再进行分发，404的访问自然会进入到错误控制器中
		HttpSession session = request.getSession();
		Object ai = session.getAttribute("ai");
		Object ui = session.getAttribute("ui");
		if(session.getAttribute("ui")==null&&session.getAttribute("ai")==null) {
			response401(response);
			return false;
		}
		try {
			QyzxEmpLogin eld = BeanUtil.toBean(session.getAttribute("ui"), QyzxEmpLogin.class);
			if(redisUtil.get("BlockUser"+eld.getId())!=null){
				redisUtil.del("BlockUser"+eld.getId());
				session.removeAttribute("ui");
				response302(response);
				return false;
			}
		}catch (Exception e){
			response401(response);
			return false;
		}


//		response401(response);
		return true;

	}

	private void response401(HttpServletResponse response) {
		response.setCharacterEncoding("UTF-8");
		response.setContentType("application/json; charset=utf-8");
		try {
			response.getWriter().print(new JSONObject(new ResponseResult().unlogin()).toString());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	private void response302(HttpServletResponse response) {
		response.setCharacterEncoding("UTF-8");
		response.setContentType("application/json; charset=utf-8");
		try {
			response.getWriter().print(new JSONObject(new ResponseResult().kickOut()).toString());
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

	@Override
	public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler,
			ModelAndView modelAndView) throws Exception {

	}

	@Override
	public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)
			throws Exception {

	}
}
