package cn.timer.api.controller.app;

import java.text.ParseException;

import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import cn.timer.api.bean.app.CheckAppVersion;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "APP")
@RestController
@Transactional
@RequestMapping(value = "/app", produces = { "application/json", "multipart/form-data" })
public class AppModuleController {
	
	@GetMapping(value = "/check_app_version/{typename}")
	@ApiOperation(value = "检查应用程序版本", httpMethod = "GET", notes = "查询数据")
	public Result<Object> CheckAppVersion(@PathVariable("typename") String typename)
			throws ParseException {
		// 1:android 2:ios
		
		CheckAppVersion ver = CheckAppVersion.builder().url("").downloadUrl("").remark("").build();
				
		ver = CheckAppVersion.builder().build().selectOne(new QueryWrapper<CheckAppVersion>().lambda().eq(CheckAppVersion::getSystem, typename));

		return ResultUtil.data(ver, "操作成功!");
	}
}
