package cn.timer.api.controller.insure;

import cn.timer.api.bean.insure.CallBack;
import cn.timer.api.bean.insure.InsurePolicy;
import cn.timer.api.bean.insure.InsureUser;
import cn.timer.api.bean.yggl.YgglMainEmp;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.google.common.collect.Maps;
import com.mysql.cj.util.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.codec.digest.DigestUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.InputStream;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/3 8:45
 */
@Api(tags = "8.0回调接口")
@RestController
@Transactional
@RequestMapping(value = "/callBack/policy", produces = {"application/json"})
public class CallBackContorll {
    private static final Logger log = LoggerFactory.getLogger(CallBackContorll.class);
    /*保全测试用*/
    private static String appidq = "1000115041006006938";
    /*保全测试用*/
    private static String secretq = "6ba1bf4aa0bd14368c95ff0b9934a17b";

    @PostMapping(value = "/insuredCallBack")
    @ApiOperation(value = "6.投保申请回调", httpMethod = "Post", notes = "投保申请回调")
    @ApiOperationSupport(order = 2)
    private String insuredCallBack(@RequestParam String pid, @RequestParam String sign, @RequestParam String timestamp, @RequestBody CallBack callBack){
        log.info(String.valueOf(callBack));
        return "1";
    }

    @PostMapping(value = "/CallBack")
    @ApiOperation(value = "7.保全增员申请回调", httpMethod = "Post", notes = "投保申请回调")
    @ApiOperationSupport(order = 2)
    private Map callBack(HttpServletRequest request, @RequestParam String pid, @RequestParam String sign, @RequestParam String timestamp) throws IOException {
        Map map = Maps.newHashMap();
        map.put("status","error");
        if(StringUtils.isNullOrEmpty(pid)||StringUtils.isNullOrEmpty(sign)&&StringUtils.isNullOrEmpty(timestamp)){
            return map;
        }
        if(!pid.equals(appidq)){
            return map;
        }
        InputStream is = null;
            is = request.getInputStream();
            StringBuilder sb = new StringBuilder();
            byte[] b = new byte[4096];
            for (int n; (n = is.read(b)) != -1;)
            {
                sb.append(new String(b, 0, n));
            }
        String value = DigestUtils.md5Hex(appidq + secretq + timestamp + sb.toString());
        if(!value.equals(sign)){
            return map;
        }
        CallBack callBack=JSONObject.parseObject(sb.toString(), CallBack.class);
        if(callBack.getStatus().equals("1")) {
            log.info("callBack" + JSONObject.toJSONString(callBack));
            List<InsureUser> list = InsureUser.builder().build().selectList(new QueryWrapper<InsureUser>().lambda().eq(InsureUser::getBatchNo, callBack.getOrder_import_info().getUuid()));
            list.forEach(i -> {
                i.setInsureStatus(1);
                i.updateById();
                YgglMainEmp.builder().isInsure(1).build().update(new QueryWrapper<YgglMainEmp>().lambda().eq(YgglMainEmp::getId, i.getUserId()));
            });
            List<InsureUser> oldlist = InsureUser.builder().build().selectList(new QueryWrapper<InsureUser>().lambda().eq(InsureUser::getReplaceTransId, callBack.getOrder_import_info().getUuid()));
            if(oldlist!=null||oldlist.size()>0) {
                oldlist.forEach(i -> {
                    i.setInsureStatus(4);
                    i.updateById();
                    YgglMainEmp.builder().isInsure(3).build().update(new QueryWrapper<YgglMainEmp>().lambda().eq(YgglMainEmp::getId, i.getUserId()));
                });
            }
          InsurePolicy insurePolicy=  InsurePolicy.builder().build().selectOne(new QueryWrapper<InsurePolicy>().lambda().eq(InsurePolicy::getPolicyNo,list.get(0).getPolicyNo()));
            if(oldlist==null||oldlist.size()==0) {
                insurePolicy.setTotalPremium(String.valueOf(Double.valueOf(insurePolicy.getTotalPremium()) + Double.valueOf(callBack.getOrder_import_info().getTotal_money())));
            }
          insurePolicy.setPolicyFile(callBack.getOrder_import_info().getEndorsement_file());
          insurePolicy.setUpdateTime(new Date());
          insurePolicy.updateById();
        }else{
            //TODO 写入日志
        }
        Map trueMap = Maps.newHashMap();
        trueMap.put("status","1");
        return trueMap;
    }
}
