package cn.timer.api.controller.insure;

import java.util.List;
import java.util.Map;

import cn.timer.api.bean.insure.InsureProduct;
import cn.timer.api.dao.insure.InsureProductMapper;
import cn.timer.api.dto.insure.PolicyDto;
import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.beust.jcommander.internal.Lists;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;


/**
 * 保险产品
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-30 11:36:30
 */
@Api(tags = "8.0保险列表")
@RestController
@Transactional
@RequestMapping(value = "/insureProduct", produces = {"application/json"})
public class InsureProductController{
	@Autowired
	private InsureProductMapper insureProductMapper;

	@GetMapping(value = "/productList")
	@ApiOperation(value = "12.产品列表", httpMethod = "Get", notes = "产品列表")
	public Result<Object> productList() {
		List<InsureProduct> productList = InsureProduct.builder().build().selectList(new QueryWrapper<InsureProduct>().lambda().eq(InsureProduct::getIsDel,0));
		if (productList.size()>0) {
			return ResultUtil.data(productList);
		}
		return ResultUtil.error("暂无产品");
	}
}
