package cn.timer.api.controller.jxgl.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.timer.api.bean.jxgl.JxglBasicSetting;
import cn.timer.api.bean.jxgl.JxglPerformanceRating;
import cn.timer.api.dao.jxgl.JxglBasicSettingMapper;

@Service
public class JxglServiceImpl implements JxglService {

	@Autowired
	private JxglBasicSettingMapper jxglBasicSettingMapper;
	
	@Override
	public JxglBasicSetting selectAT(Integer orgCode) {
		// TODO Auto-generated method stub
		return jxglBasicSettingMapper.selectAll(orgCode);
	}

	@Override
	public boolean initJxglBasicSetting(Integer orgCode) {
		// TODO Auto-generated method stub
		boolean res = true;
		
		JxglBasicSetting bC = JxglBasicSetting.builder()
				.orgCode(orgCode)
				.maxScore(100)
				.build();
		res = !bC.insert() && res ? false : res;
				
		JxglPerformanceRating performanceRating = JxglPerformanceRating.builder().build(); 

		performanceRating.setBasicSettingId(bC.getId());
		performanceRating.setName("C");
		performanceRating.setSectionMinScore(0);
		performanceRating.setSectionMaxScore(60);
		performanceRating.setRanks(1);
		res = !performanceRating.insert() && res ? false : res;
		
		performanceRating.setId(null);
		performanceRating.setBasicSettingId(bC.getId());
		performanceRating.setName("B");
		performanceRating.setSectionMinScore(60);
		performanceRating.setSectionMaxScore(80);
		performanceRating.setRanks(2);
		res = !performanceRating.insert() && res ? false : res;
		
		performanceRating.setId(null);
		performanceRating.setBasicSettingId(bC.getId());
		performanceRating.setName("A");
		performanceRating.setSectionMinScore(80);
		performanceRating.setSectionMaxScore(100);
		performanceRating.setRanks(3);
		res = !performanceRating.insert() && res ? false : res;
		
		return res;
	}

}
