package cn.timer.api.controller.qyzx.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.qyzx.QyzxOperLog;
import cn.timer.api.dao.qyzx.QyzxOperLogMapper;
import cn.timer.api.dto.qyzx.QyzxOperLogQuaryDto;

/**
 * 操作日志 服务层处理
 * 
 * @author Tang
 */
@Service
public class QyzxOperLogServiceImpl implements QyzxOperLogService
{
    @Autowired
    private QyzxOperLogMapper operLogMapper;

    /**
     * 新增操作日志
     * 
     * @param operLog 操作日志对象
     */
    @Override
    public void insertOperlog(QyzxOperLog operLog)
    {
        operLogMapper.insert(operLog);
    }

    /**
     * 查询系统操作日志集合
     * 
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    @Override
    public IPage<QyzxOperLog> selectPageByQuery(IPage<QyzxOperLog> page,QyzxOperLogQuaryDto operLog)
    {
        return operLogMapper.selectPageByQuery2(page,operLog);
    }

    /**
     * 批量删除系统操作日志
     * 
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(List<QyzxOperLog> idList)
    {
        return operLogMapper.deleteBatchIds(idList);
    }

    /**
     * 查询操作日志详细
     * 
     * @param operId 操作ID
     * @return 操作日志对象
     */
    @Override
    public QyzxOperLog selectOperLogById(Long operId)
    {
        return operLogMapper.selectById(operId);
    }

    /**
     * 清空操作日志
     */
    @Override
    public void cleanOperLog()
    {
        operLogMapper.delete(null);
    }

}
