package cn.timer.api.dao.admin;

import cn.timer.api.dto.admin.AdminMsgTemplateDto;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.admin.AdminMsgTemplate;

import java.util.List;

/**
 * 消息模板
 * 
 * @author LAL 2020-11-09
 */
@Repository
public interface AdminMsgTemplateMapper extends BaseMapper<AdminMsgTemplate> {
    /**
     * 根据参数获取模板
     * @param param
     * @return
     */
    AdminMsgTemplate getByParams(@Param("param") AdminMsgTemplateDto param);
    /**
     * 列出企业可选择的消息模板
     * @param param
     * @return
     */
    List<AdminMsgTemplate> listMsgTemplate(@Param("param") AdminMsgTemplateDto param);

    /**
     * 分页查询总数
     * @param param
     * @return
     */
    Long pageMsgTemplateCount(@Param("param") AdminMsgTemplateDto param);
    /**
     * 分页查询
     * @param param
     * @return
     */
    List<AdminMsgTemplate> pageMsgTemplate(@Param("param") AdminMsgTemplateDto param);
}
