package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/31
 */
@Data
public class DiskCatalogueParam implements Serializable {

    private static final long serialVersionUID = -1230023773946170911L;

    /**
     * 资源目录ID
     */
    @NotNull(message = ValidationMsg.NOTNULL)
    @ApiModelProperty(value = "资源目录ID", example = "0")
    private Integer id;

    //@NotBlank(message = ValidationMsg.NOTBLANK)
    @ApiModelProperty(value = "搜索条件")
    private String searchName;

    /**
     * 上级目录
     */
    @ApiModelProperty(value = "上级目录", example = "0")
    private Integer parentId;


    /**
     * 0云盘，1文件夹
     */
    @NotNull(message = ValidationMsg.NOTNULL)
    @ApiModelProperty(value = "0云盘，1文件夹")
    private Integer type;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID", example = "0")
    private Integer userId;

    /**
     * 当前企业id
     */
    @ApiModelProperty(value = "当前企业id")
    private Integer orgId;
}
