package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
public class DiskFileCatalogueDto implements Serializable{
	
	private static final long serialVersionUID = -1230022223946170921L;

	/**
	 * 所有文件总大小
	 */
	@ApiModelProperty(value = "文件总大小")
	private Long countSize;

	/**
	 * 所有文件总大小 显示值MB,KB
	 */
	@ApiModelProperty(value = "文件总大小 显示值 带单位MB,KB")
	private String showCountSize;

	/**
	 * 给定空间大小
	 */
	@ApiModelProperty(value = "给定空间大小 Byte")
	private Long size;

	/**
	 * 给定空间大小 显示值MB,KB
	 */
	@ApiModelProperty(value = "给定空间大小 显示值 带单位MB,KB")
	private String showSize;

}
