package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/31
 */
@Data
public class DiskFilesParam implements Serializable {

    private static final long serialVersionUID = -1230023773946170911L;

    /**
     * 资源上传文件ID
     */
    @NotNull(message = ValidationMsg.NOTNULL)
    @ApiModelProperty(value = "资源上传文件ID", example = "0")
    private Integer id;

    @NotBlank(message = ValidationMsg.NOTBLANK)
    @ApiModelProperty(value = "文件标题")
    private String name;


    @ApiModelProperty(value = "逻辑删除标记0.未删除 1.删除")
    private Integer deleteFlag;

    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID", example = "0")
    private Integer userId;
}
