package cn.timer.api.dto.jxgl;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AppraisalAssessment implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "考核id", example = "1")
	private Integer appraisalId;
	
	@ApiModelProperty(value = "考核指标id", example = "1")
	private Integer appraisalIndicatorsId;
	
	@ApiModelProperty(value = "考核评定id", example = "1")
	private Integer appraisalAssessmentId;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "评分", example = "86")
	private String score;

	@ApiModelProperty(value = "评语/备注", example = "评语/备注")
	private String remarks;
	
	@ApiModelProperty(value = "等级", example = "A")
	private String level;
	
}
