package cn.timer.api.dto.jxgl;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PerformanceAppraisalQuery extends Page{

	@ApiModelProperty(value = "企业id", example = "")
	private Integer orgCode;
	
	@ApiModelProperty(value = "考核名称", example = "")
	private String query;
	
	@Max(value = 4,message = ValidationMsg.MAX+" 只能为 0目标制定 1绩效评分 2结果确认 3绩效归档 4终止考核")
	@Min(value = 0,message = ValidationMsg.MIN+" 只能为 0目标制定 1绩效评分 2结果确认 3绩效归档 4终止考核")
	@ApiModelProperty(value = "状态 0目标制定 1绩效评分 2结果确认 3绩效归档 4终止考核", example = "0")
	private Integer sts;
	
	@ApiModelProperty(value = "开始时间 ", example = "2000-10-10 10:10:10")
	private String startTime;
	
	@ApiModelProperty(value = "结束时间 ", example = "2020-10-10 10:10:10")
	private String endTime;
	
}
