package cn.timer.api.dto.jxgl;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;

import cn.timer.api.bean.jxgl.JxglProcessNode;
import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProcessNodeUpdate implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "编号", example = "10")
	private Integer id;
	
	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "考核id", example = "10")
	private Integer appraisalId;

	@NotNull(message = ValidationMsg.NOTNULL)
	@ApiModelProperty(value = "执行人id(员工id)", example = "10")
	private Integer executorId;

	@ApiModelProperty(value = "执行人名称", example = "执行人名称")
	private String executorName;

	
}
