package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq APP 打卡数据
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ClockCollectData implements Serializable {

	private static final long serialVersionUID = -7658009549305902379L;

	@ApiModelProperty(value = "用户id", example = "字段说明")
	private Integer userid;

	@ApiModelProperty(value = "打卡类型", example = "1:上班1 2:下班1 3:上班2 4:下班2 5:上班3 6:下班3......")
	private Integer type;

	@ApiModelProperty(value = "打卡时间", example = "字段说明")
	private String punchtime;

	@ApiModelProperty(value = "应打卡时间 \"\"", example = "字段说明")
	private String punchcardtime;

	@ApiModelProperty(value = "打卡类型", example = "1：GPS，2：WIFI，3：考勤机，4：外勤")
	private Integer punchcardtype;

	@ApiModelProperty(value = "纬度", example = "字段说明")
	private String lat;

	@ApiModelProperty(value = "经度", example = "字段说明")
	private String lon;

	@ApiModelProperty(value = "地址", example = "字段说明")
	private String address;

	@ApiModelProperty(value = "WIFI mac地址", example = "字段说明")
	private String mac;

	@ApiModelProperty(value = "WIFI名称", example = "字段说明")
	private String macname;

	@ApiModelProperty(value = "班次id", example = "无排班时 为“0”")
	private Integer shifid;

//	@ApiModelProperty(value = "打卡状态", example = "状态，1:正常 2：异常 3：补卡 4：请假")
//	private Integer status;

	@ApiModelProperty(value = "手机唯一ID", example = "字段说明")
	private String registrationid;

	@ApiModelProperty(value = "打卡类型", example = "1：打卡 2：更新打卡")
	private Integer differ;
	
	@ApiModelProperty(value = "打卡", example = "0：当天卡 1：次日卡")
	private Integer nextday;
}
