package cn.timer.api.dto.login;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class QysDto implements Serializable{
    
    private static final long serialVersionUID = 8975191212158593839L;
    
    @ApiModelProperty(value="编号",example="0")
    private Integer id;
	
	@ApiModelProperty(value = "企业名", example = "广东优领科技服务有限公司")
    private String name;
    
    @ApiModelProperty(value = "企业统一机构代码", example = "91440101MA5CJEYG6H")
    private String code;
    @ApiModelProperty(value = "企业助记码", example = "ylkj")
    private String codes;
    
	@ApiModelProperty(value="是否上市 0未1已 ",example="0")
    private Integer isOnStock;

    @ApiModelProperty(value="企业logo ",example="http://...")
    private String logoUrl;
 
    @ApiModelProperty(value="注册时间 ",example="注册时间")
    private Date regTime;
    
	@ApiModelProperty(value="到期时间 ",example="到期时间")
    private Date endTime;

    @ApiModelProperty(value="系统版本  0 1 2 ",example="0")
    private Integer level;
	
	@ApiModelProperty(value="企业规模",example="1")
    private Integer size;

    @ApiModelProperty(value="认证状态 0未认证 1：审核中、2：审核失败、3：审核成功 ",example="0")
    private Integer authType;

	@ApiModelProperty(value="在企业中的类型  0 超管理员 1子管理 2 普通员工",example="0")
    private Integer userType;

	@ApiModelProperty(value="在企业中的状态  0：关闭；1：正常",example="1")
    private Integer status;

    @ApiModelProperty(value = "在企业中的员工名称", example = "雷阿姨")
    private String empName;
    @ApiModelProperty(value = "在企业中的员工英文名称", example = "miss lei")
    private String enName;
    @ApiModelProperty(value = "部门岗位编号", example = "123")
    private Integer bmgwId;
    
    @ApiModelProperty(value = "部门名", example = "123")
    private String bmName;
    
    @ApiModelProperty(value = "岗位名", example = "123")
    private String gwName;
    
    @ApiModelProperty(value = "在企业中的员工工号", example = "123")
    private Integer jobNum;
    
    @ApiModelProperty(value = "性别", example = "女")
    private String sex; 

//    @ApiModelProperty(value = "是否企业中心账号", example = "0-否 1-主账号 2-子账号")
//    private Integer isManager; 
}
