package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("统计图--仪表盘内容")
public class YgCartogramDto implements Serializable{
	
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value="在职人数")
    private Integer onTheJob;
    
	@ApiModelProperty(value="本月新入职 ")
    private Integer newRecruits;
    
	@ApiModelProperty(value="本月离职")
    private Integer dimission;
	
	@ApiModelProperty(value="本月转正")
    private Integer regularization;
	
	@ApiModelProperty(value="平均年龄")
    private Integer averageAge;
	
	@ApiModelProperty(value="部门")
    private List<YgKVDto> department;
	
	@ApiModelProperty(value="岗位")
	private List<YgKVDto> position;
	
	@ApiModelProperty(value="学历")
	private List<YgKVDto> edu;
	
	@ApiModelProperty(value="工作状态")
	private List<YgKVDto> jobStatus;
	
	@ApiModelProperty(value="省份")
	private List<YgKVDto> proname;
	
	@ApiModelProperty(value="工作日")
	private List<YgKVDto> workage;
	
	@ApiModelProperty(value="年龄")
	private List<YgKVDto> age;

	
}
