package cn.timer.api.manager.factory;

import java.util.TimerTask;

import cn.timer.api.bean.qyzx.QyzxOperLog;
import cn.timer.api.controller.qyzx.service.QyzxOperLogService;
import cn.timer.api.utils.AddressUtils;
import cn.timer.api.utils.SpringUtils;

/**
 * 异步工厂（产生任务用）
 * 
 * @author Tang
 */
public class AsyncFactory
{
    /**
     * 记录登陆信息
     * 
     * @param username 用户名
     * @param status 状态
     * @param message 消息
     * @param args 列表
     * @return 任务task
     */
//    public static TimerTask recordLogininfor(final String username, final String status, final String message,final Object... args){}

    /**
     * 操作日志记录
     * 
     * @param operLog 操作日志信息
     * @return 任务task
     */
    public static TimerTask recordOper(final QyzxOperLog operLog)
    {
        return new TimerTask()
        {
            @Override
            public void run()
            {
                // 远程查询操作地点
                operLog.setOperLocation(AddressUtils.getRealAddressByIP(operLog.getOperIp()));
                SpringUtils.getBean(QyzxOperLogService.class).insertOperlog(operLog);
            }
        };
    }
}
