package cn.timer.api.utils.router.business;

import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;

import cn.timer.api.utils.router.enums.ApproveEnum;

/**
 * 审批关联业务工厂类
 * 
 * @author Tang
 *
 */
public class SpmkAssoBusinessFactory {

	/*
	 * Map中的Value是 ServiceBean
	 */
	private Map<String, SpmkAssoBusiness> serviceMap;

	public SpmkAssoBusiness createSpmkService(ApproveEnum assotype) {
		switch (assotype) {
		case DEFAULT:
			break;
		case REGULARIZATION:
			return serviceMap.get("regularizationBusiness");
		case RESIGNATION:
			return serviceMap.get("resignationBusiness");
		case TRANSFER_POSITION:
			return serviceMap.get("transferPositionBusiness");
		case RECRUIT:
			return serviceMap.get("recruitBusiness");
		case WORK_OVERTIME:
			return serviceMap.get("workOvertimeBusiness");
		case LEAVE:
			return serviceMap.get("leaveBusiness");
		case EVECTION:
			return serviceMap.get("evectionBusiness");
		case GO_OUT:
			return serviceMap.get("goOutBusiness");
		case REISSUE_A_CARD:
			return serviceMap.get("reissueACardBusiness");
		default:
			break;
		}

		return serviceMap.get("regularizationBusiness");

	}

	public void setServiceMap(Map<String, SpmkAssoBusiness> serviceMap) {
		this.serviceMap = serviceMap;
	}

}
