package cn.timer.api.utils.router.business;

import java.util.HashMap;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class SpmkConfig {

	@Autowired
	private RegularizationBusiness regularizationBusiness;
	@Autowired
	private TransferPositionBusiness transferPositionBusiness;
	@Autowired
	private ResignationBusiness resignationBusiness;
	@Autowired
	private RecruitBusiness recruitBusiness;
	@Autowired
	private WorkOvertimeBusiness workOvertimeBusiness;
	@Autowired
	private LeaveBusiness leaveBusiness;
	@Autowired
	private EvectionBusiness evectionBusiness;
	@Autowired
	private GoOutBusiness goOutBusiness;
	@Autowired
	private ReissueACardBusiness reissueACardBusiness;
	
	@Bean
    public SpmkAssoBusinessFactory createFactory () {
		SpmkAssoBusinessFactory factory = new SpmkAssoBusinessFactory();
        Map<String, SpmkAssoBusiness> serviceMap = new HashMap<>();
        serviceMap.put("regularizationBusiness",regularizationBusiness);
        serviceMap.put("transferPositionBusiness",transferPositionBusiness);
        serviceMap.put("resignationBusiness",resignationBusiness);
        serviceMap.put("recruitBusiness",recruitBusiness);
        serviceMap.put("workOvertimeBusiness",workOvertimeBusiness);
        serviceMap.put("leaveBusiness",leaveBusiness);
        serviceMap.put("evectionBusiness",evectionBusiness);
        serviceMap.put("goOutBusiness",goOutBusiness);
        serviceMap.put("reissueACardBusiness",reissueACardBusiness);
        factory.setServiceMap(serviceMap);
        return factory;
    }
	
}
